<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestResponseMessage\PeerDataOperationResult;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PlaceholderMessageResendResponse extends \Google\Protobuf\Internal\Message
{
    


    protected $webMessageInfoBytes = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getWebMessageInfoBytes()
    {
        return isset($this->webMessageInfoBytes) ? $this->webMessageInfoBytes : '';
    }

    public function hasWebMessageInfoBytes()
    {
        return isset($this->webMessageInfoBytes);
    }

    public function clearWebMessageInfoBytes()
    {
        unset($this->webMessageInfoBytes);
    }

    




    public function setWebMessageInfoBytes($var)
    {
        GPBUtil::checkString($var, False);
        $this->webMessageInfoBytes = $var;

        return $this;
    }

}

